From ad8b29694b5ab6ec2fd65a93b42202a532ed105c Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Rafa=C5=82=20Mi=C5=82ecki?= <zajec5@gmail.com>
Date: Fri, 26 Jun 2009 13:53:05 +0200
Subject: [PATCH] Document digital output blocks and signals in code

Thanks to Dave Airlie, John Bridgman and Jerome Glisse for explainations.
---
 src/rhd_dig.c |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

diff --git a/src/rhd_dig.c b/src/rhd_dig.c
index 1c86ad0..636dfa5 100644
--- a/src/rhd_dig.c
+++ b/src/rhd_dig.c
@@ -23,6 +23,26 @@
  * OTHER DEALINGS IN THE SOFTWARE.
  */
 
+/*
+ * There are 4 known digital output blocks you can meet on cards:
+ * 1) TMDSA (can transmit TMDS)
+ * 2) LVTMA (can transmit TMDS or LVDS)
+ * 3) DDIA (can transmit TMDS)
+ * 4) UNIPHY (can transmit TMDS or LVDS or DisplayPort's signal)
+ *
+ * TMDS signal is used for DVI and HDMI
+ * LVDS signal is used for PANEL
+ * DisplayPort's signal is used for DisplayPort of course
+ *
+ * Generally:
+ * DDIA can be found on RS600, RS690 and RS740
+ * UNIPHY can be found on DCE 3+ devices (RV620+)
+ * TMDSA can be found on rest of R5xx, R6xx
+ *
+ * Note there are cards with external DisplayPort chip which uses DVO
+ * data protocol with an i2c control bus for communication with GPU
+ */
+
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
-- 
1.6.0.2

